﻿namespace Vibstudio.NetConfigurator.Common
{
    #region Namespaces

    using Vibstudio.NetConfigurator.Model;

    #endregion

    public interface IComposition : IAggregateRoot
    {
        /// <summary>
        /// Performs the composition of Configurations.xml
        /// </summary>
        /// <param name="netConfig">
        /// Configuration object
        /// </param>
        /// <returns>Composition result</returns>
        bool Compose(NetConfig netConfig);
    }
}