﻿namespace Vibstudio.NetConfigurator.Exceptions
{
    #region Namespaces

    using System;
    using System.Collections.Generic;

    using Vibstudio.NetConfigurator.Globalization;

    #endregion

    public sealed class CompositionPartiallyPerformedException : Exception
    {
        #region Ctor(s)

        public CompositionPartiallyPerformedException(IEnumerable<string> unconfiguredSettings)
            : base(Labeler.Get.CompositionPartiallyPerformed(unconfiguredSettings).ToString(), null)
        {
        }

        #endregion
    }
}