﻿namespace Vibstudio.NetConfigurator.Exceptions
{
    #region Namespaces

    using System;

    using Vibstudio.NetConfigurator.Globalization;

    #endregion

    public sealed class MultipleConfigurationFilesFoundException : Exception
    {
        #region Ctor(s)

        public MultipleConfigurationFilesFoundException(string path, int count)
            : base(Labeler.Get.FirstFileConfiguredSuccessfully(path, count).ToString(), null)
        {
        }

        #endregion
    }
}