﻿namespace Vibstudio.NetConfigurator.Exceptions
{
    #region Namespaces

    using System;

    using Vibstudio.NetConfigurator.Globalization;

    #endregion

    public sealed class UnknownComposerException : Exception
    {
        #region Ctor(s)

        public UnknownComposerException()
            : base(Labeler.Get.UnknownComposer().ToString(), null)
        {
        }

        public UnknownComposerException(string composerName)
            : base(Labeler.Get.UnknownComposer(composerName).ToString(), null)
        {
        }

        #endregion
    }
}