﻿namespace Vibstudio.NetConfigurator.Exceptions
{
    #region Namespaces

    using System;

    using Vibstudio.NetConfigurator.Globalization;

    #endregion

    public sealed class UnknownConfiguratorException : Exception
    {
        #region Ctor(s)

        public UnknownConfiguratorException()
            : base(Labeler.Get.UnknownConfigurator().ToString(), null)
        {
        }

        public UnknownConfiguratorException(string configuratorName)
            : base(Labeler.Get.UnknownConfigurator(configuratorName).ToString(), null)
        {
        }

        #endregion
    }
}