﻿namespace Vibstudio.NetConfigurator.Globalization
{
    using System.Text;

    public class Label
    {
        private readonly string _value;

        private Label(string value)
        {
            _value = value;
        }

        public static Label Create(string value)
        {
            return new Label(value);
        }

        public static Label Create(StringBuilder value)
        {
            return new Label(value.ToString());
        }

        public string WithCode(string code)
        {
            return string.Format("{0} - {1}", code, _value);
        }

        public override string ToString()
        {
            return _value;
        }
    }
}
