namespace Vibstudio.NetConfigurator.IoC
{
    using System;

    [AttributeUsage(AttributeTargets.Class, AllowMultiple = true, Inherited = false), Serializable]
    public class PluginInterfaceAttribute : Attribute
    {
        private readonly String _interfaceName;

        public String InterfaceName
        {
            get { return _interfaceName; }
        }

        public PluginInterfaceAttribute(String interfaceName)
        {
            _interfaceName = interfaceName;
        }
    }
}
