namespace Vibstudio.NetConfigurator.Model
{
    /// <summary>
    /// A node in the configuration section
    /// </summary>
    public class ConfigurationSetting
    {
        #region Ctor(s)

        public ConfigurationSetting()
        {
        }

        public ConfigurationSetting(string name, string key, string value)
        {
            Name = name;
            Key = key;
            Value = value;
        }

        #endregion

        #region Public Properties

        /// <summary>
        /// The name of node
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// The key of node
        /// </summary>
        public string Key { get; set; }

        /// <summary>
        /// The value of node
        /// </summary>
        public string Value { get; set; }

        #endregion
    }
}