﻿namespace Vibstudio.NetConfigurator.UI.Common
{
    #region Namespaces

    using Vibstudio.NetConfigurator.UI.ViewModels;

    #endregion

    public static class ViewModelLocator
    {
        #region Static Fields

        private static ShellViewModel _shellViewModel;

        #endregion

        #region Public Properties

        public static ShellViewModel ShellViewModel
        {
            get { return _shellViewModel ?? (_shellViewModel = new ShellViewModel()); }
        }

        #endregion

        #region Public Methods and Operators

        public static void SetChild(IChildView view)
        {
            _shellViewModel.ChildView = view;
        }

        #endregion
    }
}