namespace Vibstudio.NetConfigurator.UI.Model
{
    #region Namespaces

    using System.Collections.Generic;
    using System.Collections.ObjectModel;

    using Vibstudio.NetConfigurator.Common;

    #endregion

    public class ResultCollectionBase<T> : ObservableCollection<T> where T : IValidatable
    {
        #region Ctor(s)

        protected ResultCollectionBase(IEnumerable<T> collection)
            : base(collection)
        {
        }

        #endregion
    }
}