﻿namespace Vibstudio.NetConfigurator.UI.Model
{
    #region Namespaces

    using Vibstudio.NetConfigurator.Common;

    #endregion

    public class ResultValidationFile : IValidatable
    {
        #region Ctor(s)

        public ResultValidationFile()
        {
        }

        public ResultValidationFile(string configurationFile)
            : this(configurationFile, true, string.Empty)
        {
        }

        public ResultValidationFile(string configurationFile, bool isValid, string message)
        {
            ConfigurationFile = configurationFile;
            IsValid = isValid;
            Message = message;
        }

        #endregion

        #region Public Properties

        public string ConfigurationFile { get; set; }

        public bool IsValid { get; set; }

        public string Message { get; set; }

        #endregion
    }
}