﻿namespace Vibstudio.NetConfigurator.UI.Views
{
    #region Namespaces

    using System.Windows.Controls;

    using Vibstudio.NetConfigurator.UI.Common;
    using Vibstudio.NetConfigurator.UI.Model;
    using Vibstudio.NetConfigurator.UI.ViewModels;

    #endregion

    /// <summary>
    /// Interaction logic for ResultAutoCompositionView.xaml
    /// </summary>
    public partial class ResultCompositionView : UserControl, IChildView
    {
        #region Ctor(s)

        public ResultCompositionView()
        {
            InitializeComponent();
        }

        public ResultCompositionView(ResultConfigurationCollection result)
            : this()
        {
            DataContext = new ResultCompositionViewModel(result);
        }

        #endregion
    }
}