﻿namespace Vibstudio.NetConfigurator.UI.Views
{
    #region Namespaces

    using System.Windows.Controls;

    using Vibstudio.NetConfigurator.UI.Common;
    using Vibstudio.NetConfigurator.UI.Model;
    using Vibstudio.NetConfigurator.UI.ViewModels;

    #endregion

    /// <summary>
    /// Interaction logic for ResultsView.xaml
    /// </summary>
    public partial class ResultConfigurationView : UserControl, IChildView
    {
        #region Ctor(s)

        public ResultConfigurationView()
        {
            InitializeComponent();
        }

        public ResultConfigurationView(ResultConfigurationCollection result, string rootPath)
            : this()
        {
            DataContext = new ResultConfigurationViewModel(result, rootPath);
        }

        #endregion
    }
}