﻿namespace Vibstudio.NetConfigurator.UI.Views
{
    #region Namespaces

    using System.Windows.Controls;

    using Vibstudio.NetConfigurator.UI.Common;
    using Vibstudio.NetConfigurator.UI.Model;
    using Vibstudio.NetConfigurator.UI.ViewModels;

    #endregion

    /// <summary>
    /// Interaction logic for ResultValidationUrlView.xaml
    /// </summary>
    public partial class ResultValidationUrlView : UserControl, IChildView
    {
        #region Ctor(s)

        public ResultValidationUrlView()
        {
            InitializeComponent();
        }

        public ResultValidationUrlView(ResultValidationUrlCollection result)
            : this()
        {
            DataContext = new ResultValidationUrlViewModel(result);
        }

        #endregion
    }
}