﻿namespace Vibstudio.NetConfigurator.Exceptions
{
    #region Namespaces

    using System;

    using Vibstudio.NetConfigurator.Globalization;

    #endregion

    public sealed class ApplicationNotReferentException : Exception
    {
        #region Ctor(s)

        public ApplicationNotReferentException()
            : base(Labeler.Get.UnknownConfigurator().ToString(), null)
        {
        }

        public ApplicationNotReferentException(string applicationName)
            : base(Labeler.Get.ApplicationNotReference(applicationName).ToString(), null)

        {
        }

        #endregion
    }
}