﻿namespace Vibstudio.NetConfigurator.Exceptions
{
    #region Namespaces

    using System;

    using Vibstudio.NetConfigurator.Globalization;

    #endregion

    public sealed class AutocompositionAlreadyPerformedException : Exception
    {
        #region Ctor(s)

        public AutocompositionAlreadyPerformedException()
            : base(Labeler.Get.AutocompositionAlreadyPerformed().ToString(), null)
        {
        }

        public AutocompositionAlreadyPerformedException(string compositionName)
            : base(Labeler.Get.AutocompositionAlreadyPerformed(compositionName).ToString(), null)
        {
        }

        #endregion
    }
}