﻿namespace Vibstudio.NetConfigurator.Exceptions
{
    #region Namespaces

    using System;

    using Vibstudio.NetConfigurator.Globalization;

    #endregion

    public sealed class ConfigurationException : Exception
    {
        #region Ctor(s)

        public ConfigurationException()
            : base(Labeler.Get.OperationNotExecutable.ToString(), null)
        {
        }

        public ConfigurationException(string message)
            : base(message, null)
        {
        }

        #endregion
    }
}