﻿namespace Vibstudio.NetConfigurator.IoC.Configuration
{
    using System.Configuration;

    public class NcSettingCollection : ConfigurationElementCollection
    {
        public NcSettingElement this[int index]
        {
            get
            {
                return BaseGet(index) as NcSettingElement;
            }
            set
            {
                if (BaseGet(index) != null)
                {
                    BaseRemoveAt(index);
                }

                BaseAdd(index, value);
            }
        }

        protected override ConfigurationElement CreateNewElement()
        {
            return new NcSettingElement();
        }

        protected override object GetElementKey(ConfigurationElement element)
        {
            return ((NcSettingElement) element).Key;
        }
    }
}
