namespace Vibstudio.NetConfigurator.Model
{
    public class ConfigurationUrl
    {
        #region Ctor(s)

        private ConfigurationUrl(string value)
        {
            Value = value;
        }

        #endregion

        #region Public Properties

        public string Value { get; set; }

        #endregion

        #region Public Methods and Operators

        public static ConfigurationUrl CreateUnknownUrl()
        {
            return new ConfigurationUrl("http://");
        }

        public static ConfigurationUrl CreateUrl(string value)
        {
            return new ConfigurationUrl(value);
        }

        #endregion
    }
}