namespace Vibstudio.NetConfigurator.Model
{
    public class HttpConfigurationIdentity
    {
        #region Ctor(s)

        public HttpConfigurationIdentity()
        {
        }

        public HttpConfigurationIdentity(HttpSection section, string resourceName, string hostName)
        {
            Section = section;
            ResourceName = resourceName;
            HostName = hostName;
        }

        #endregion

        #region Public Properties

        public string HostName { get; set; }

        public string ResourceName { get; set; }

        public HttpSection Section { get; set; }

        #endregion
    }
}