using Vibstudio.NetConfigurator.UI.Model;

namespace Vibstudio.NetConfigurator.UI.Common
{
    public interface IViewFactory
    {
        IShellView Header();
        IShellView Toolbar();
        IChildView Home();
        IChildView ResultConfiguration(ResultConfigurationCollection result, string rootPath);
        IChildView ResultComposition(ResultConfigurationCollection result);
        IChildView ResultValidationUrl(ResultValidationUrlCollection result);
        IChildView ResultValidationFile(ResultValidationFileCollection result);
    }
}