﻿namespace Vibstudio.NetConfigurator.UI.Model
{
    #region Namespaces
    
    using Vibstudio.NetConfigurator.Common;

    #endregion

    public class ResultConfiguration : IValidatable
    {
        #region Ctor(s)

        public ResultConfiguration(string application, string configuration, bool isValid, string message)
        {
            Application = application;
            Configuration = configuration;
            IsValid = isValid;
            Message = message;
        }

        public ResultConfiguration(string application, string configuration, bool isValid)
            : this(application, configuration, isValid, string.Empty)
        {
        }

        public ResultConfiguration()
        {
        }

        #endregion

        #region Public Properties

        public string Application { get; set; }

        public string Configuration { get; set; }

        public bool IsValid { get; set; }

        public string Message { get; set; }

        #endregion
    }
}