﻿namespace Vibstudio.NetConfigurator.UI.Views
{
    #region Namespaces

    using System.Windows.Controls;

    using Vibstudio.NetConfigurator.UI.Common;
    using Vibstudio.NetConfigurator.UI.Model;
    using Vibstudio.NetConfigurator.UI.ViewModels;

    #endregion

    /// <summary>
    /// Interaction logic for ResultValidationFileView.xaml
    /// </summary>
    public partial class ResultValidationFileView : UserControl, IChildView
    {
        #region Ctor(s)

        public ResultValidationFileView()
        {
            InitializeComponent();
        }

        public ResultValidationFileView(ResultValidationFileCollection result)
            : this()
        {
            DataContext = new ResultValidationFileViewModel(result);
        }

        #endregion
    }
}